
// GSAP Animation for the initial full-screen section
gsap.from("#title", { opacity: 0, y: -50, duration: 1, ease: "power2.out" });
gsap.from("#description", { opacity: 0, y: 50, duration: 1.5, ease: "power2.out", delay: 0.5 });
gsap.from(".leaf1", { opacity: 0, y: 50,x: 50,duration: 1.5, ease: "power2.out", delay: 0.5 });
gsap.from(".leaf2", { opacity: 0, y: 50,x: -50,duration: 1.5, ease: "power2.out", delay: 0.5 });
gsap.from(".leaf3", { opacity: 0, y: 50,x: -50,duration: 1.5, ease: "power2.out", delay: 0.5 });
gsap.from(".fruit-image", { opacity: 0, y: -40,x: 0,duration: 1.5, ease: "power2.out", delay: 0.5 });

// GSAP Scroll-triggered animations for the boxes below
gsap.utils.toArray(".box").forEach(box => {
  gsap.from(box, {
    scrollTrigger: {
      trigger: box,
      start: "top 80%",
      toggleActions: "play none none none"
    },
    opacity: 0,
    y: 50,
    duration: 1,
    ease: "power2.out"
  });
});

// GSAP for sliding menu animation with overlay
const menuIcon = document.getElementById('menuIcon');
const menu = document.getElementById('menu');
const overlay = document.getElementById('overlay');

let isOpen = false;

// Toggle menu and overlay visibility
function toggleMenu() {
if (isOpen) {
gsap.to(menu, { right: '-100%', duration: 0.5, ease: 'power2.out' });
gsap.to(overlay, { opacity: 0, duration: 0.5, ease: 'power2.out' });
menuIcon.classList.remove('open');
header.classList.remove('bg-opacity'); // Remove the opacity class
} else {
gsap.to(menu, { right: 0, duration: 0.5, ease: 'power2.out' });
gsap.to(overlay, { opacity: 0.5, duration: 0.5, ease: 'power2.out' });
menuIcon.classList.add('open');
header.classList.add('bg-opacity'); // Add the opacity class
}
isOpen = !isOpen;
}


// Event listener for menu icon click
menuIcon.addEventListener('click', (e) => {
  e.stopPropagation(); // Prevent click from propagating to the document
  toggleMenu();
});

// Event listener for overlay click
overlay.addEventListener('click', () => {
  if (isOpen) {
    toggleMenu();
  }
});

// Event listener for clicks outside the menu
document.addEventListener('click', (e) => {
  if (isOpen && !menu.contains(e.target) && !menuIcon.contains(e.target)) {
    toggleMenu();
  }
});
