






<script>
    // gsapAnimations.js

    gsap.registerPlugin(ScrollTrigger);

    const bottleImage = document.querySelector(".bottle-image");
    const capImage = document.querySelector(".cap-image");
    const capheadImage = document.querySelector(".caphead-image");

    bottleImage.style.transition = "opacity .3s ease";
    capImage.style.transition = "opacity .3s ease";
    capheadImage.style.transition = "opacity 1.3s ease";

    // Create a function to get the appropriate animation values based on screen size
    function getAnimationValues() {
      if (window.innerWidth <= 430) {  // Adjust this value for your mobile breakpoint
        // Mobile screen values
        return {
          bottle: { y: 1084, x: -10, width: "51%" },
          cap: { y: 490, x: -190, width: "25%" },
          caphead: { y: 190, x: -380, width: "20%" },
          leaf1: { y: -10, x: -60 },
          leaf2: { y: 20, x: 15 },
          leaf3: { y: -40, x: 60 },
          fruit: { y: 100, x: -150 }
        };
      }
      else if (window.innerWidth <= 768) {  // Adjust this value for your mobile breakpoint
        // Mobile screen values
        return {
          bottle: { y: 500, x: -300, width: "50%" },
          cap: { y: 490, x: -110, width: "25%" },
          caphead: { y: 190, x: -320, width: "20%" },
          leaf1: { y: -10, x: -60 },
          leaf2: { y: 20, x: 15 },
          leaf3: { y: -40, x: 60 },
          fruit: { y: 100, x: -150 }
        };
      }
      else if(window.innerWidth <= 2200) {
        // Laptop/desktop screen values
        return {
          bottle: { y: 794, x: -627, width: "42.4%" },
          cap: { y: 785, x: -635, width: "17.4%" },
          caphead: { y: 785, x: -636, width: "14.4%" },
          leaf1: { y: -200, x: -110 },
          leaf2: { y: 40, x: 30 },
          leaf3: { y: -80, x: 110 },
          fruit: { y: 200, x: -100 }
        };
      }
      else{
        // Laptop/desktop screen values
        return {
          bottle: { y: 794, x: -627, width: "36.4%" },
          cap: { y: 785, x: -600, width: "17.4%" },
          caphead: { y: 785, x: -605, width: "14.4%" },
          leaf1: { y: -200, x: -110 },
          leaf2: { y: 40, x: 30 },
          leaf3: { y: -80, x: 110 },
          fruit: { y: 200, x: -100 }
        };
      }
    }

    // Get the current values based on screen size
    const values = getAnimationValues();

    // Create GSAP timeline
    const bottleTimeline = gsap.timeline({
      scrollTrigger: {
        trigger: ".second-container",  // Start animation when second container comes into view
        start: "top 90%",  // Animation starts when top of the trigger hits 90% of viewport
        end: "top 10%",  // Animation ends when top of the trigger hits 10% of viewport
        scrub: true,     // Smooth scrubbing
        onUpdate: (self) => {
          const scrollY = window.scrollY;

          if (scrollY > window.innerHeight * .900) {
            // Automatically hide bottle image at 130vh
            bottleImage.style.opacity = "0";
            capImage.style.opacity = "0";
            capheadImage.style.opacity = "0";
          } else if (scrollY <= window.innerHeight * 1.3) {
            // Show bottle image again when scrolling up below 130vh
            bottleImage.style.opacity = "1";
            capImage.style.opacity = "1";
            capheadImage.style.opacity = "1";

            // Ensure the first slide is shown again
            showFirstSlide();
          }
        }
      }
    });

    // Add animations to timeline
    bottleTimeline
      .to(".bottle-image", { y: values.bottle.y, x: values.bottle.x, duration: 1, width: values.bottle.width, filter: "none" })
      .to(".cap-image", { y: values.cap.y, x: values.cap.x, duration: 1, width: values.cap.width }, "<")
      .to(".caphead-image", { y: values.caphead.y, x: values.caphead.x, duration: 1, width: values.caphead.width }, "<")
      .to(".leaf1", { y: values.leaf1.y, x: values.leaf1.x, duration: .5, opacity: 0 }, "<")
      .to(".leaf2", { y: values.leaf2.y, x: values.leaf2.x, duration: .5, opacity: 0 }, "<")
      .to(".leaf3", { y: values.leaf3.y, x: values.leaf3.x, duration: .5, opacity: 0 }, "<")
      .to(".fruit-image", { y: values.fruit.y, x: values.fruit.x, duration: .5, opacity: 0 }, "<");

    // Function to show the first slide
    function showFirstSlide() {
      if (currentContent !== 0) {
        currentContent = 0;
        updateContent();
      }
    }

    // Event listener to hide bottle image when slider arrows are clicked
    document.querySelectorAll(".slider-arrow").forEach(arrow => {
      arrow.addEventListener("click", () => {
        bottleImage.style.opacity = "0";  // Hide bottle image when manually changing slides
      });
    });
    </script>



<script>
    function smoothScroll(target, duration) {
      const targetPosition = target.getBoundingClientRect().top + window.pageYOffset;
      const startPosition = window.pageYOffset;
      const distance = targetPosition - startPosition;
      let startTime = null;

      function animationScroll(currentTime) {
        if (startTime === null) startTime = currentTime;
        const timeElapsed = currentTime - startTime;
        const run = linearEase(timeElapsed, startPosition, distance, duration);
        window.scrollTo(0, run);
        if (timeElapsed < duration) requestAnimationFrame(animationScroll);
      }

      // Linear easing function for constant speed (no delay)
      function linearEase(t, b, c, d) {
        return c * (t / d) + b;
      }

      requestAnimationFrame(animationScroll);
    }

    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
      anchor.addEventListener('click', function (e) {
        e.preventDefault();
        const target = document.querySelector(this.getAttribute('href'));
        smoothScroll(target, 3000); // Set scroll duration to 3000ms for a slow movement
      });
    });
  </script>
